Bug 1990953 - Issue with multi-container POD with SRIOV interfaces
Summary: Issue with multi-container POD with SRIOV interfaces
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Networking
Version: 4.7
Hardware: Unspecified
OS: Unspecified
medium
urgent
Target Milestone: ---
: 4.10.0
Assignee: Jason Boxman
QA Contact: zhaozhanqi
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-08-06 16:45 UTC by Ashish Sharma
Modified: 2022-01-03 13:51 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-01-03 13:51:18 UTC
Target Upstream Version:


Attachments (Terms of Use)
Pod Menifest (41.68 KB, text/plain)
2021-08-06 16:45 UTC, Ashish Sharma
no flags Details

Description Ashish Sharma 2021-08-06 16:45:29 UTC
Created attachment 1811577 [details]
Pod Menifest

Description of problem:
In a multi-container pod launched with SRIOV networks in the annotation, the first container gets the VF allocated to it, even though the VF resources are not allocated in its specifications.
The second container, which has the VF resources allocation in its specification, gets another set of SRIOV VFs allocated to it, but they are unusable(network unreachable)

Expectation:-
Only the container which has been allocated with the SRIOV resources from container specifications, should be given the VF device. and the corresponding VF device should be able to reach its network.

Version-Release number of selected component (if applicable):


For example if we have 3 container in a pod (A.B.C)



How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:
In the problematic scenario -
   * Why is the first container(A) getting the VFs allocated to it even though no SRIOV resource was defined with it in its manifest.
* Why is the Third container(C), which is getting allocated with the container is not usable(not getting any traffic) ?


Expected results:
Only the container which have correct SRIOV configuration, Should attach with the VF .


Additional info:
https://gss--c.visualforce.com/apex/Case_View?id=5002K00000xBXiy&sfdc.override=1

Customer need to have this in detail functionality, Why SRIOV behaving in unexpected way.

Customer is desperately looking for an RCA.

Comment 10 Jason Boxman 2021-10-07 01:24:13 UTC
I've created a docs PR for this: https://github.com/openshift/openshift-docs/pull/37170

Comment 12 Jason Boxman 2021-11-11 19:45:28 UTC
The docs PR is actually here: https://github.com/openshift/openshift-docs/pull/38234

Comment 13 zhaozhanqi 2021-11-16 07:33:34 UTC
the Docs LGTM, move this to Verified.


Note You need to log in before you can comment on or make changes to this bug.